# Function extractLinkData

- extractLinkData(cid, links): {
  count: number;
  direction: LinkDirection;
  firstTimestamp: number;
  lastLinkCid: string;
  lastTimestamp: number;
  }

- #### Parameters

  - cid: string
  - links: (Omit<Cyberlink, "timestamp"> & {
    timestamp: string;
    })[]

  #### Returns {
  count: number;
  direction: LinkDirection;
  firstTimestamp: number;
  lastLinkCid: string;
  lastTimestamp: number;
  }

  - ##### count: number

  - ##### direction: LinkDirection

  - ##### firstTimestamp: number

  - ##### lastLinkCid: string

  - ##### lastTimestamp: number

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/utils.ts:9